Subject: [Fot] A run at Harris Hill this past Sunday's autocross

From: Mike Jankowski <[email-masked]>
Date: Mon, 5 Nov 2012 20:17:05 -0600

Well, I finally got around to posting the best video I had from this
weekend at Harris Hill. Robert MacKenzie and I were both in FSP. I was able
to take the class win by 1.49 secs over a Toyota Corolla GTS. My 78 Spit is
very lightly modified: poly rear radius arm bushings, lowered front
springs, Pertronix ignition, aluminium radiator, electric cooling fan,
4into 1 header, standard intermediate pipe into a Cherry Bomb muffler, twin
SU carbs. Now to tighten up the handling a bit.

 http://youtu.be/XyIvRtyVSSY
Mike
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]